org.eclipse.microprofile.rest.client.tck.interfaces

## Interface JsonBPrivateClient

All Superinterfaces:
  JsonBClient

    @RegisterRestClient(configKey="jsonb")
     @RegisterProvider(value=MyJsonBContextResolver.class)
    public interface JsonBPrivateClient
    extends JsonBClient

### Method Summary

All Methods Instance Methods Abstract Methods
`MyJsonBObjectWithPrivateProperties` `getPrivate(String objectName)`

### Methods inherited from interface org.eclipse.microprofile.rest.client.tck.interfaces.JsonBClient

`get`

### Method Detail

#### getPrivate

    @Path(value="/private/{objectName}")
     @GET
     @Produces(value="application/json")
    MyJsonBObjectWithPrivateProperties getPrivate(@PathParam(value="objectName")
                                                                                                                                  String objectName)